org.jbpm.workflow.instance.node

## Class ForEachNodeInstance.ForEachSplitNodeInstance

- java.lang.Object
- - org.jbpm.workflow.instance.impl.NodeInstanceImpl
  - - org.jbpm.workflow.instance.node.ForEachNodeInstance.ForEachSplitNodeInstance

- All Implemented Interfaces:
    Serializable, org.kie.api.runtime.process.NodeInstance
  Enclosing class:
    ForEachNodeInstance

      public class ForEachNodeInstance.ForEachSplitNodeInstance
      extends NodeInstanceImpl

  See Also:
    Serialized Form

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.jbpm.workflow.instance.impl.NodeInstanceImpl

      `NodeInstanceImpl.NodeInstanceTrigger`

  - ### Field Summary

    - ### Fields inherited from class org.jbpm.workflow.instance.impl.NodeInstanceImpl

      `dynamicParameters, logger, slaCompliance, slaDueDate, slaTimerId`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ForEachSplitNodeInstance()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `ForEachNode.ForEachSplitNode` | `getForEachSplitNode()`
    `void` | `internalTrigger(org.kie.api.runtime.process.NodeInstance fromm, String type)`

    - ### Methods inherited from class org.jbpm.workflow.instance.impl.NodeInstanceImpl

      `cancel, configureSla, executeAction, followConnection, getExecutionErrorHandler, getId, getLevel, getMetaData, getMetaData, getNode, getNodeId, getNodeInstanceContainer, getNodeName, getProcessInstance, getSlaCompliance, getSlaDueDate, getSlaTimerId, getUniqueId, getVariable, internalSetSlaCompliance, internalSetSlaDueDate, internalSetSlaTimerId, isInversionOfControl, resolveContext, resolveContextInstance, retrigger, setDynamicParameters, setId, setLevel, setMetaData, setNodeId, setNodeInstanceContainer, setProcessInstance, setVariable, trigger, triggerCompleted, triggerConnection, triggerNode, triggerNodeInstance`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ForEachSplitNodeInstance

          public ForEachSplitNodeInstance()

  - ### Method Detail

    - #### getForEachSplitNode

          public ForEachNode.ForEachSplitNode getForEachSplitNode()

    - #### internalTrigger

          public void internalTrigger(org.kie.api.runtime.process.NodeInstance fromm,
                                      String type)

      Specified by:
        `internalTrigger` in class `NodeInstanceImpl`

Copyright © 2001–2018 JBoss by Red Hat. All rights reserved.